GCubePanel (gCube Widgets Library 1.4.1-SNAPSHOT API)
Date: 2013-03-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubewidgets.client
Class GCubePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.VerticalPanel
                              org.gcube.portlets.user.gcubewidgets.client.GCubePanel

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasCaption, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IndexedPanel, com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget, com.google.gwt.user.client.ui.InsertPanel, com.google.gwt.user.client.ui.InsertPanel.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, Iterable<com.google.gwt.user.client.ui.Widget>

    public class GCubePanel

extends com.google.gwt.user.client.ui.VerticalPanel
implements com.google.gwt.user.client.ui.HasCaption

`GCubePanel` is the wrapper panel gCube Portlet that lays all of its widgets out in a single vertical column.

Version:
  December 2009 (0.2b)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.AutoHorizontalAlignmentConstant, com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.InsertPanel
`com.google.gwt.user.client.ui.InsertPanel.ForIsWidget`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

Field Summary
`static int` | `HEADER_HEIGHT` static header height
`static String` | `IMAGE_HELP` help image
`static String` | `IMAGE_TOOLTIP_EN` help tooltip

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`GCubePanel(String helpURL)` Header constructor with Caption disanabled
`GCubePanel(String caption, String helpURL)` Header constructor with Caption enables

Method Summary
`void` | `addHeaderWidget(com.google.gwt.user.client.ui.Widget toAdd)` Use it to add your custom widgets to the header, no css styles need to be defined for your widgets
`void` | `clear()`
`void` | `enableHeader(boolean enable)` Sets whether the gCube Header is visible.
`String` | `getCaption()` Gets this widget's caption.
`void` | `setCaption(String caption)` Sets this widget's caption.

Methods inherited from class com.google.gwt.user.client.ui.VerticalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, insert, onEnsureDebugId, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getBody, getSpacing, getTable, setBorderWidth, setCellHeight, setCellHeight, setCellHorizontalAlignment, setCellHorizontalAlignment, setCellHorizontalAlignment, setCellVerticalAlignment, setCellVerticalAlignment, setCellVerticalAlignment, setCellWidth, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, disown, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.user.client.ui.InsertPanel.ForIsWidget
`add`

Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget
`getWidgetIndex`

Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel
`getWidget, getWidgetCount, getWidgetIndex, remove`

Field Detail

### IMAGE_HELP

    public static final String IMAGE_HELP

  help image

### IMAGE_TOOLTIP_EN

    public static final String IMAGE_TOOLTIP_EN

  help tooltip

  See Also:
    Constant Field Values

### HEADER_HEIGHT

    public static final int HEADER_HEIGHT

  static header height

  See Also:
    Constant Field Values

Constructor Detail

### GCubePanel

    public GCubePanel(String caption,
                      String helpURL)

  Header constructor with Caption enables

  Parameters:
    `caption` - the caption to show on the header
    `helpURL` - the URL of the User's Guide for this Portlet

### GCubePanel

    public GCubePanel(String helpURL)

  Header constructor with Caption disanabled

  Parameters:
    `helpURL` - the URL of the User's Guide for this Portlet

Method Detail

### addHeaderWidget

    public void addHeaderWidget(com.google.gwt.user.client.ui.Widget toAdd)

  Use it to add your custom widgets to the header, no css styles need to be defined for your widgets

  Parameters:
    `toAdd` - the widget you want to add

### enableHeader

    public void enableHeader(boolean enable)

  Sets whether the gCube Header is visible.

  Parameters:
    `enable` - `true` to show the header, `false` to hide it

### getCaption

    public String getCaption()

  Gets this widget's caption.

  Specified by:
    `getCaption` in interface `com.google.gwt.user.client.ui.HasCaption`
  Returns:
    the caption.

### setCaption

    public void setCaption(String caption)

  Sets this widget's caption.

  Specified by:
    `setCaption` in interface `com.google.gwt.user.client.ui.HasCaption`
  Parameters:
    `caption` - the new caption.

### clear

    public void clear()

  Specified by:
    `clear` in interface `com.google.gwt.user.client.ui.HasWidgets`
  Overrides:
    `clear` in class `com.google.gwt.user.client.ui.Panel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.